Bug 168592 - Review Request: pychart: Python library for generating chart images
Summary: Review Request: pychart: Python library for generating chart images
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Toshio Kuratomi
QA Contact: David Lawrence
URL: http://home.gna.org/pychart/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-09-17 18:54 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-22 18:26:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch to break out a doc cubpackage (1.98 KB, patch)
2005-09-19 22:55 UTC, Toshio Kuratomi
no flags Details | Diff

Description Tom "spot" Callaway 2005-09-17 18:54:49 UTC
Spec Name or Url: http://www.auroralinux.org/people/spot/review/pychart.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/pychart-1.38-1.src.rpm
Description: 
PyChart is a Python library for creating high quality Encapsulated Postscript,
PDF, PNG, or SVG charts. It currently supports line plots, bar plots,
range-fill plots, and pie charts. Because it is based on Python, you can make
full use of Python's scripting power.

Comment 1 Toshio Kuratomi 2005-09-19 21:15:52 UTC
Good:
* rpmlint gives no warnings or errors
* Follows the naming guideline
* spec name matches package  name
* Package licensed under the GPL
* GPL is listed in spec and included in package
* Spec file legible
* Sources match upstream
* Builds on x86_64
* No archs excluded yet
* Owns all directories
* No duplicate files
* File permisions set properly
* Package is code
* docs are independent of runtime

FIXME:
* docs for this package are a mess.
  - Why not have a docs subpackage?  Just under half of the files in the
    package are currently docs.  As this is a python library, they're all
    "developer docs"....
  - The documentaion tarball is not necessary (at least for this release.)
    Currently, you're installing it into the same directory as the python
    sources and then doing nothing with it.  Additionally, the
    PyChart-1.38.tar.gz contains the files in PyChart-1.38/doc/pychart
    (Except for pychart.css)
  - You want the *.py files from the examples directory -- the *.png files
    are not examples in and of themselves.
  - The examples/*.png and the pychart/*.png files are not the same but they
    are definitely overlapping.  The pychart/*.html files require the *.png
    files in order to demonstrate what they're showing.  You could combine these 
    png files but it may be overkill.

Nits:
* Python libraries typically go in Group: Development/Languages

I'll post a proposed patch for these issues.


Comment 2 Toshio Kuratomi 2005-09-19 22:55:19 UTC
Created attachment 119004 [details]
Spec file patch to break out a doc cubpackage

* Removes doc tarball.
* Makes a doc subpackage.
* Grabs the whole examples and pychart directories.

Unresolved -- the examples and pychart directories have many pngs that are
similar (different sizes of the same thing.)  They could potentially be shared
via symlink.  Or this could be ignored.  The docs package is 1.5MB installed so
the duplication isn't that severe.

Comment 3 Tom "spot" Callaway 2005-09-21 16:13:47 UTC
Looks good to me. -2 incorporates your changes.

New SRPM: http://www.auroralinux.org/people/spot/review/pychart-1.38-2.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/pychart.spec

Comment 4 Toshio Kuratomi 2005-09-21 16:55:39 UTC
APPROVED
401e8214dfdc407ca006a89c9ed2f5b3  pychart.spec
4ec2e5eb67e8dce2c88942e4bfd56422  pychart-1.38-2.src.rpm

Previous problems fixed.  No new regressions found.


Note You need to log in before you can comment on or make changes to this bug.